Subject: [bug#57347] [PATCH] packages: Add man-pages-posix.

From: Maxime Devos <[email-masked]>
Date: Fri, 26 Aug 2022 15:41:53 +0200

On 23-08-2022 05:33, Lilah Tascheter wrote:
> On Tue, Aug 23, 2022 at 01:50:34AM +0200, Maxime Devos wrote:
>> This package can easily be confused with 'man-pages' -- at least, I
>> initially confused this as a duplicate of man-pages. Could the relationship
>> be clarified in the description?
> That's fair. How does this revised description sound? "Excerpts from the
> POSIX.1-2008 and TC1 standards (collectively, POSIX.1-2013) in manual
> page form. While the Linux man-pages project documents the system as it
> exists, this package documents the portable software API nominally
> implemented by many unix-likes."
>
'as it exists' -> 'as it exists on Linux- and glibc-based systems', as 
we also support the Hurd.

Otherwise looks good to me.

>> Also, IIRC there's a #:make-target and #:parallel-build? #false
> There is a #:parallel-build? #f, but no #:make-target field, as far as I
> could tell. Though, the build phase doesn't explicitly target all, so it
> would be possible to provide the gz target through #:make-flags.
Right, there's a #:test-target but not #:make-target.
> But, also, all the build phase does is compress the manpages, which
> could entirely be done by the compress-documentation phase with some
> edits done to it; at the moment, its regex for detecting manpages
> doesn't take into account the [023]p format of this package's manpages.
>
> Thoughts?
I think we could do #:make-flags "gz" for now, extending the regex to 
[023]p is more of a long-term thing (while a simple change, it would 
cause many rebuilds and hence needs to be done on core-updates).

Greetings,
Maxime.